#pragma once

namespace game {
namespace path {

class Path
{
public:
    float GetLoopedTime(float delta) const noexcept
    {
        return delta - floor(delta);
    }

    virtual vec2f GetPosition(float delta) const noexcept = 0;
}

}
}

